#!/bin/sh

name="pwbuilder"
title="pwbuilder"
package="pwbuilder"
version="0.5.15"
build="1"
noarch="y"
build_info="Standard build."

info="Slackware packages creating tool."
info_pl="Narzdzie do tworzenia pakietw Slackware'a."
desc="pwbuilder is a tool for creating Slackware packages. It uses
standarized scripts similar to RPM spec files. It allows to
create so called src.tgz archives just like src.rpm packages.
Thanks to this functionality sources can be easily carried
between computers and rebuilt to fit system conditions and
users requirements.
pwbuilder writes extra control file in install/slack-pw-info
that contains many useful informations. The Packware packaging
tool is able to make use of this file."
desc_pl="pwbuilder jest narzdziem do tworzenia pakietw dla Slackware'a.
Uywa ujednoliconych skryptw podobnych do specw RPM-a. Pozwala
tworzy tzw. archiwa src.tgz, tak jak pakiety src.rpm. Dziki
tej funkcjonalnoci rda mog by atwo przenoszone pomidzy
komputerami i przebudowywane, aby odpowiada warunkom systemowym
i wymaganiom uytkownikw.
pwbuilder zapisuje dodatkowy plik kontrolny install/slack-pw-info,
ktry zawiera wiele uytecznych informacji. Meneder pakietw
Packware jest zdolny do wykorzystania tego pliku."
category="system/packaging"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source=""
docs_cwd="doc/{AUTHORS,BUILDER*,BUILDPKG*,COPYING,ChangeLog.old,FAQ*,NEWS*,TODO,VERSION},examples/mutt"

strip_bin="n"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

parent_package="$package"
write_info main

msg_installing

cd $src_pkg

copy src/buildpkg $pkg_main/usr/bin
mkdir -p $pkg_main/usr/src/tgz/lib
sed "s}@VERSION@}$version}" src/builder.defs \
    > $pkg_main/usr/src/tgz/lib/builder.defs
copy src/builder.mkpkg $pkg_main/usr/src/tgz/lib
copy examples/template.builder $pkg_main/usr/src/tgz/sources
copy man/buildpkg.en.8 $pkg_main/usr/man/man8 buildpkg.8
copy man/buildpkg.pl.8 $pkg_main/usr/man/pl/man8 buildpkg.8
copy extra/ptgz $pkg_main/usr/share/mc/extfs
copy extra/stgz $pkg_main/usr/share/mc/extfs
mkdir -p $pkg_main/usr/src/tgz/packages/{i{3,4,5,6}86,pentium{,-mmx,pro,2,3,4},k6-{2,3},athlon{,-tbird,-4,-xp,-mp},noarch}

make_docs

sed -n '/^# \$Log.*\$$/,/^$/p' $src_pkg/$name.builder > $pkg_main/usr/doc/$name-$version/ChangeLog
rm -rf $pkg_main/usr/doc/$name-$version/mutt/CVS
echo "$version-$build" > $pkg_main/usr/doc/$name-$version/VERSION
sed "s}@VERSION@}$version}" doc/README \
    > $pkg_main/usr/doc/$name-$version/README
sed "s}@VERSION@}$version}" doc/README.polish \
    > $pkg_main/usr/doc/$name-$version/README.polish

make_package main

clean_up

# $Log: pwbuilder.builder,v $
# Revision 1.35  2003/05/28 10:11:14  swiergot
# - Build 1.
#
# Revision 1.34  2003/05/28 10:06:34  swiergot
# - Don't put script.postinst and other scripts in subpackages.
# - If post-install script or other scripts need to be provided for
#   a subpackage, create script.postinst.X or similar file, where X is a name
#   of the subpackage.
#
# Revision 1.33  2003/05/25 17:26:48  swiergot
# - Build 2.
#
# Revision 1.32  2003/05/25 17:16:37  swiergot
# - Fixed a bug (made by fixing the previous bug :)) causing pwbuilder just
#   not to work.
#
# Revision 1.31  2003/05/25 10:33:28  swiergot
# - Build 1.
#
# Revision 1.30  2003/05/25 10:11:23  swiergot
# - Fixed a bug causing pwbuilder not to strip binaries.
# - Version 0.5.14.
#
# Revision 1.29  2003/04/24 15:44:21  swiergot
# - Build 1.
#
# Revision 1.28  2003/04/24 15:32:31  swiergot
# - Fixed suffix handling.
#
# Revision 1.27  2003/04/24 14:57:57  swiergot
# - Changed the way package files' names are created.
# - Fixed script.postinst handling.
# - Version 0.5.13.
#
# Revision 1.26  2003/04/05 10:54:24  swiergot
# - Fixed building for architectures with dash in their names.
#
# Revision 1.25  2003/03/25 21:20:07  swiergot
# - Fixed a bug in builder.defs causing script.postinst not to be copied if
#   package has no symlinks.
#
# Revision 1.24  2003/03/20 18:37:13  swiergot
# - Build 1.
#
# Revision 1.23  2003/03/20 18:31:28  swiergot
# - Pass "--program-prefix= --program-suffix= i386-slackware-linux" to
#   configure script if disable_pw is set.
# - When creating install script, put symlinks creation instructions before
#   supplied script.postinst code.
# - Version 0.5.12.
#
# Revision 1.22  2003/02/07 18:48:27  swiergot
# - Build 2.
#
# Revision 1.21  2003/02/07 18:43:47  swiergot
# - Removed forgotten debug code.
#
# Revision 1.20  2003/02/07 18:02:19  swiergot
# - Version 0.5.11 stable.
#
# Revision 1.19  2003/02/03 14:56:57  swiergot
# - Put @VERSION@ in doc/README and doc/README.polish instead of fixed
#   versions. This will be replaced automatically.
#
# Revision 1.18  2003/02/03 14:37:51  swiergot
# - Updated versions and dates in manual pages.
# - Write current version to VERSION file.
#
# Revision 1.17  2003/02/03 14:19:56  swiergot
# - Set variables telling about Slackware version: slackver (x.y),
#   slackver_max (x.y.z), slackver_maj (x), slackver_min (y), slackver_pat
#   (z), slackver_ext ('beta' or anything else after '-', or just nothing).
# - Version 0.5.11, prerelease.
#
# Revision 1.16  2003/02/02 13:07:41  swiergot
# - Set proper directory for sources without top directory.
#
# Revision 1.15  2003/02/01 15:47:06  swiergot
# - Added support for all architectures supported by GCC 3.
#
# Revision 1.14  2003/01/28 16:28:04  swiergot
# - Proper handling of sources without top directory when there is more than
#   one of that kind of sources.
#
# Revision 1.13  2003/01/13 11:24:54  swiergot
# - Release 2 (bugfix).
#
# Revision 1.12  2003/01/13 11:15:37  swiergot
# - Fixed a bug that if more than one parameter to do_configure, do_make,
#   do_install, do_python_make or do_python_install were given, only the first
#   one was used.
#
# Revision 1.11  2003/01/12 21:43:43  swiergot
# - Version 0.5.10 stable.
#
# Revision 1.10  2003/01/12 21:32:22  swiergot
# - Fixed displaying welcome message (break lines correctly).
#
# Revision 1.9  2003/01/12 21:14:08  swiergot
# - Defined doc_dir variable that equals to $pkg_main/usr/doc/$name-$version.
#
# Revision 1.8  2003/01/12 21:06:12  swiergot
# - Now it is possible to pass extra parameters to do_configure, do_make,
#   do_install, do_python_make and do_python_install, and those parameters
#   will be passed to commands invoked by these functions.
# - If we have a standard pw patch ($name-what.pw.patch), then we can write
#   "apply_patch what" istead of "apply_patch $name-what.pw.patch".
#
# Revision 1.7  2003/01/12 14:58:00  swiergot
# - Name src.tgz archives using right build number when given with
#   --build-number.
# - If --build-number is given, overwrite build variable in .builder file.
# - buildpkg 0.2.4.
#
# Revision 1.6  2003/01/12 13:49:17  swiergot
# - Changed usr/lib/mc to usr/share/mc to conform latest mc version.
# - Check for mc before doing anything in its configuration files.
# - Display build number in a starting message when building.
#
# Revision 1.5  2003/01/11 18:55:06  swiergot
# - Added force_verbose function. This allows to override --auto passed to
#   buildpkg.
# - Added support for home_site variable in packages informations.
# - Added do_python_make and do_python_install. These do the same as
#   "./setup.py build" and "./setup.py install" with parameters given with
#   make_option and install_option.
# - Fixed messages displaying.
# - Version pre of 0.5.10.
#
# Revision 1.4  2002/12/26 00:06:15  swiergot
# - Touched to force building.
#
# Revision 1.3  2002/12/25 23:49:23  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/25 23:33:42  swiergot
# - Touched to force building.
#
# Revision 1.1  2002/12/25 23:21:59  swiergot
# - Initial release.
# - Version 0.5.9.
#
